/*
 *         Copyright (C) 2008 Fadi Al-katout (cutout) <cutout33@gmail.com>
 * 
 *  Monajat is free software; you can redistribute it and/or modify   
 * it under the terms of the GNU General  Public Licence as published by the 
 * Free Software Foundation;  either version 2 of the Licence, 
 * or(at your option) any later version.
 * 
 * Monajat is distributed in  the hope that it will be useful,
 * but WITHOUT ANY WARRANTY;  without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A  PARTICULAR PURPOSE. 
 * See the GNU General  Public Licence for more details.
 * 
 * You should have received a copy of  the GNU General Public Licence
 * along with Monajat; 
 * if not, write to  the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor,  Boston, MA  02110-1301, USA
 */

package monajat.gui.main;

import java.io.BufferedReader;
import java.io.InputStreamReader;

public class DependencyChecker {

	private final static String[] DEPENDENCY = new String[] { "msttcorefonts" };

	private boolean[] mStatus = new boolean[DEPENDENCY.length];

	public boolean[] checkDependencies() {
		for (int i = 0; i < DEPENDENCY.length; i++) {
			String aTask = "dpkg -s " + DEPENDENCY[i];
			try {
				Runtime rt = Runtime.getRuntime();
				Process pr = rt.exec(aTask);
				BufferedReader input = new BufferedReader(
						new InputStreamReader(pr.getInputStream()));
				String line = "";
				while ((line = input.readLine()) != null) {
					if (line.trim().equalsIgnoreCase(
							"Status: install ok installed")) {
						mStatus[i] = true;
					}
				}
				pr.waitFor();
			} catch (Exception e) {
				System.out.println(e.toString());
				e.printStackTrace();
			}
		}
		return mStatus;
	}

}
